CEL: Crystal Entity Layer: iPcMechanicsThruster Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMechanicsThruster Struct Reference

Property class representing a thruster that affect forces on the attached object. More...

`#include <propclass/mechthruster.h>`

List of all members.

## Public Member Functions
virtual float | AvailableThrust ()=0
| How much thrust is available on this thruster?
virtual float | GetMaxThrust ()=0
| Get the maximum thrust.
virtual iPcMechanicsObject * | GetMechanicsObject ()=0
| Get the associated mechanics object.
virtual const csVector3 & | GetOrientation ()=0
| Get the orientation of the thruster.
virtual const csVector3 & | GetPosition ()=0
| Get the thruster's position relative to the object.
virtual float | GetThrustForce (float thrust)=0
| Get the amount of force a given thrust will produce, taking into account the current environment.
virtual void | SetMaxThrust (float maxthrust)=0
| Set the maximum thrust.
virtual void | SetMechanicsObject (iPcMechanicsObject *mechsys)=0
| Set the mechanics object to affect.
virtual void | SetOrientation (const csVector3 &orientation)=0
| Set the orientation of the thruster.
virtual void | SetPosition (const csVector3 &pos)=0
| Set the thruster's position relative to the object.
virtual void | ThrustChange (float deltathrust)=0
| Applies a delta to the thruster's current thrust.

## Detailed Description

Property class representing a thruster that affect forces on the attached object.

This property class supports the following actions (add prefix 'cel.action.' to get the ID of the action and add prefix 'cel.parameter.' to get the ID of the parameter):

- InitThruster: parameters 'objectpctag' (string), 'position' (vector3).

Definition at line 45 of file mechthruster.h.

## Member Function Documentation

virtual float iPcMechanicsThruster::AvailableThrust | ( |  | ) | `[pure virtual]`

| How much thrust is available on this thruster?

virtual float iPcMechanicsThruster::GetMaxThrust | ( |  | ) | `[pure virtual]`

| Get the maximum thrust.

virtual iPcMechanicsObject* iPcMechanicsThruster::GetMechanicsObject | ( |  | ) | `[pure virtual]`

| Get the associated mechanics object.

virtual const csVector3& iPcMechanicsThruster::GetOrientation | ( |  | ) | `[pure virtual]`

| Get the orientation of the thruster.

virtual const csVector3& iPcMechanicsThruster::GetPosition | ( |  | ) | `[pure virtual]`

| Get the thruster's position relative to the object.

virtual float iPcMechanicsThruster::GetThrustForce | ( | float | thrust | ) | `[pure virtual]`

  | Get the amount of force a given thrust will produce, taking into account the current environment. Parameters:
  | thrust | the amount of thrust to convert.

virtual void iPcMechanicsThruster::SetMaxThrust | ( | float | maxthrust | ) | `[pure virtual]`

  | Set the maximum thrust. Parameters:
  | maxthrust | the maximum amount of thrust this thruster can accomodate.

virtual void iPcMechanicsThruster::SetMechanicsObject | ( | iPcMechanicsObject * | mechsys | ) | `[pure virtual]`

  | Set the mechanics object to affect. This is required. Parameters:
  | mechsys | the object the thruster is attached to.

virtual void iPcMechanicsThruster::SetOrientation | ( | const csVector3 & | orientation | ) | `[pure virtual]`

  | Set the orientation of the thruster. Parameters:
  | orientation | the direction in which the thruster points.

virtual void iPcMechanicsThruster::SetPosition | ( | const csVector3 & | pos | ) | `[pure virtual]`

  | Set the thruster's position relative to the object. Parameters:
  | pos | the offset from the center of the object to the thruster.

virtual void iPcMechanicsThruster::ThrustChange | ( | float | deltathrust | ) | `[pure virtual]`

  | Applies a delta to the thruster's current thrust. Parameters:
  | deltathrust | the change in thrust.

The documentation for this struct was generated from the following file:

- propclass/mechthruster.h